# AWS API client for AWS Identity and Access Management

**Warning: This is a generated library, some operations may not work.**

*About the service:*
AWS Identity and Access Management (IAM) is a web service that you can use
to manage users and user permissions under your AWS account. This guide
provides descriptions of IAM actions that you can call programmatically. For
general information about IAM, see <a href="http://aws.amazon.com/iam/">AWS
Identity and Access Management (IAM)</a>. For the user guide for IAM, see <a
href="https://docs.aws.amazon.com/IAM/latest/UserGuide/">Using IAM</a>.
<note>
AWS provides SDKs that consist of libraries and sample code for various
programming languages and platforms (Java, Ruby, .NET, iOS, Android, etc.).
The SDKs provide a convenient way to create programmatic access to IAM and
AWS. For example, the SDKs take care of tasks such as cryptographically
signing requests (see below), managing errors, and retrying requests
automatically. For information about the AWS SDKs, including how to download
and install them, see the <a href="http://aws.amazon.com/tools/">Tools for
Amazon Web Services</a> page.
</note>
We recommend that you use the AWS SDKs to make programmatic API calls to
IAM. However, you can also use the IAM Query API to make direct calls to the
IAM web service. To learn more about the IAM Query API, see <a
href="https://docs.aws.amazon.com/IAM/latest/UserGuide/IAM_UsingQueryAPI.html">Making
Query Requests</a> in the <i>Using IAM</i> guide. IAM supports GET and POST
requests for all actions. That is, the API does not require you to use GET
for some actions and POST for others. However, GET requests are subject to
the limitation size of a URL. Therefore, for operations that require larger
sizes, use a POST request.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

